version: "2"

services:
  server:
    build: .
    ports:
    - 8080:8080/udp
  clienta:
    image: busybox
    command: sh -xc 'while :; do echo | nc -uw1 "$$0" 8080; done' "$IP"
  clientb:
    image: busybox
    command: sh -xc 'while :; do echo | nc -uw1 "$$0" 8080; done' "$IP"
  clientc:
    image: busybox
    command: sh -xc 'while :; do echo | nc -uw1 "$$0" 8080; done' server
